<?xml version="1.0" encoding="utf-8"?>
<PreferenceScreen xmlns:android="http://schemas.android.com/apk/res/android"
	android:shouldDisableView="true" android:selectable="true">
	<EditTextPreference android:summary="Permet de modifier votre identifiant de connexion"
		android:title="@string/settings_account_username" android:key="settings_key_account_username" />
	<EditTextPreference android:name="password"
		android:password="true" android:summary="Permet de modifier votre mot de passe de connexion"
		android:title="@string/settings_account_password" android:key="settings_key_account_password" />
	<CheckBoxPreference android:title="Utilisation de Gmail"
		android:defaultValue="false"
		android:summary="Cochez cette case si vous souhaitez utiliser votre compte Gmail"
		android:key="settings_key_gmail" />
	<PreferenceScreen android:key="proxy" android:title="Utilisation d'un proxy">
		<CheckBoxPreference android:title="Utilisation d'un serveur proxy"
			android:defaultValue="false"
			android:summary="Cochez cette case si vous souhaitez utiliser un serveur proxy"
			android:key="settings_key_proxy_use" />
		<ListPreference android:dependency="settings_key_proxy_use"
			android:title="Type du serveur proxy utilisé" android:entries="@array/proxy_types"
			android:summary="Permet de choisir le type de serveur proxy à utiliser"
			android:defaultValue="HTTP"
			android:entryValues="@array/proxy_types" android:key="settings_key_proxy_type" />
		<EditTextPreference android:dependency="settings_key_proxy_use"
			android:name="serveur" android:summary="Définition de l'adresse du serveur."
			android:title="@string/settings_proxy_server" android:key="settings_key_proxy_server" />
		<EditTextPreference android:dependency="settings_key_proxy_use"
			android:name="port" android:summary="Définition du port du serveur."
			android:title="@string/settings_proxy_port" android:key="settings_key_proxy_port" />
		<EditTextPreference android:dependency="settings_key_proxy_use"
			android:name="Utilisateur"
			android:summary="Optionnel, permet de s'authentifier sur le serveur proxy"
			android:title="@string/settings_proxy_username" android:key="settings_key_proxy_username" />
		<EditTextPreference android:dependency="settings_key_proxy_use"
			android:name="pass_user" android:password="true"
			android:summary="Optionnel, permet de s'authentifier sur le serveur proxy"
			android:title="@string/settings_proxy_password" android:key="settings_key_proxy_password" />
	</PreferenceScreen>

	<PreferenceScreen android:key="advanced"
		android:title="Options avancées">
		<CheckBoxPreference android:title="@string/settings_xmpp_use_tls"
			android:defaultValue="false" android:key="settings_key_xmpp_tls_use" />
		<CheckBoxPreference android:title="Utilisation des options spécifiques du serveur"
			android:defaultValue="false"
			android:summary="Cochez cette case si vous souhaitez utiliser des options spécifiques pour votre serveur XMPP"
			android:key="useSpecificServer" />
		<EditTextPreference android:dependency="useSpecificServer"
			android:name="adresse" android:summary="Permet d'éditer l'adresse du serveur"
			android:title="@string/settings_xmpp_server" android:key="settings_key_xmpp_server"
			android:defaultValue="10.0.2.2" />
		<EditTextPreference android:id="@+id/settings_xmpp_port"
			android:dependency="useSpecificServer" android:name="port"
			android:summary="Permet d'éditer le port du serveur" android:title="@string/settings_xmpp_port"
			android:defaultValue="5222" android:key="settings_key_xmpp_port" />
	</PreferenceScreen>
</PreferenceScreen>